zoomsh
Prev | Reference | Next

## Name

zoomsh — ZOOM shell

## Synopsis

`zoomsh` [`-e`] [`-v `loglevel``] [commands...]

## DESCRIPTION

zoomsh is a ZOOM client with a simple command line interface. The client demonstrates the ZOOM API and is useful for testing targets.

You may pass one or more commands to zoomsh. These commands are invoked first.

## OPTIONS

-e

  Makes zoomsh stop processing commands as soon as an error occur. The exit code of zoomsh is 1 if error occurs; 0 otherwise.

-v `loglevel`

  Sets YAZ log level.

## EXAMPLES

If you start the yaz-ztest in one console you can use the ZOOM shell as follows:

    $ zoomsh
    ZOOM>connect localhost:9999
    ZOOM>search computer
    localhost:9999: 7 hits
    ZOOM>show 0 1
    1 Default USmarc
    001    11224466
    003 DLC
    005 00000000000000.0
    008 910710c19910701nju           00010 eng
    010    $a    11224466
    040    $a DLC $c DLC
    050 00 $a 123-xyz
    100 10 $a Jack Collins
    245 10 $a How to program a computer
    260 1  $a Penguin
    263    $a 8710
    300    $a p. cm.
    ZOOM>quit

You can also achieve the same result by passing the commands as arguments on a single command line:

`$ zoomsh "connect localhost:9999" "search computer"` `"show 0 1" quit`

## COMMANDS

`connect` `zurl`

  Connects to the target given by `zurl`.

`close` [`zurl`]

  Closes connection to target given by `zurl` or all targets if `zurl` was omitted.

`show` [`start` [`count`]]

  Displays `count` records starting at offset given by `start`. First records has offset 0 (unlike the Z39.50 protocol).

`quit`

  Quits zoomsh.

`set` `name` [`value`]

  Sets option `name` to `value`.

`get` `name`

  Prints value of option `name`.

`help`

  Prints list of available commands.

## SEE ALSO

yaz(7), yaz-ztest(8),

Section "Building clients with ZOOM" in the YAZ manual.

ZOOM home page.

Prev | Up | Next
yaz | Home | yaz-asncomp